package com.qs.mp.channel.domain.param;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.qs.mp.common.enums.ChannelGoodsSettleStatusTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author zhangkaikai
 * @create 2023-06-07 9:23 AM
 **/

@ApiModel("门店铺设商品查询参数")
@Data
public class SiteGoodsForChannelQueryParam {

    @ApiModelProperty("结算状态 1未结算 2已结算")
    @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
    private ChannelGoodsSettleStatusTypeEnum settleStatus;

    @ApiModelProperty("门店id")
    private Long channelId;
}
